SignSecureSignSecure Docs
Templates

List All Templates

List all templates with pagination and optional filters.

GET
/templates

List all templates with pagination and optional filters.

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Query Parameters

page?integer

Page number

Default1
Range1 <= value
limit?integer

Items per page

Default50
Range1 <= value <= 100
status?string

Filter by template status

Value in"active" | "archived"
search?string

Search by template name

sortBy?string
Value in"name" | "createdAt" | "usageCount"
sortOrder?string
Value in"asc" | "desc"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.signsecure.com/api/v1/templates"
{
  "items": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "fileName": "string",
      "status": "active",
      "usageCount": 0,
      "recipientsCount": 0,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pageInfo": {
    "page": 0,
    "limit": 0,
    "total": 0,
    "totalPages": 0,
    "hasNext": true,
    "hasPrevious": true
  }
}
{
  "code": "VALIDATION_ERROR",
  "message": "status: Invalid enum value",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z",
  "details": {
    "validation": {
      "fieldErrors": {
        "status": [
          "Invalid enum value"
        ]
      },
      "formErrors": [],
      "issues": [
        {
          "path": "status",
          "message": "Invalid enum value",
          "code": "invalid_enum_value"
        }
      ]
    }
  }
}
{
  "code": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "FORBIDDEN",
  "message": "API key is disabled",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "An internal error occurred",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}